org.eclipse.pde.ui.launcher

## Class JUnitTabGroup

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
  - - org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup
    - - org.eclipse.pde.ui.launcher.JUnitTabGroup

All Implemented Interfaces:
  ILaunchConfigurationTabGroup

    public class JUnitTabGroup
    extends AbstractPDELaunchConfigurationTabGroup

Creates and initializes the tabs for the Plug-in JUnit test launch configuration.

This class may be instantiated or subclassed by clients.

Since:
  3.3

### Field Summary

### Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`fTabs`

### Constructor Summary

Constructors
Constructor and Description
`JUnitTabGroup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTabs(ILaunchConfigurationDialog dialog, String mode)`

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup

`initializeFrom, setDefaults`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`dispose, getTabs, launched, performApply, setTabs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitTabGroup

    public JUnitTabGroup()

### Method Detail

#### createTabs

    public void createTabs(ILaunchConfigurationDialog dialog,
                           String mode)